Package com.xebialabs.deployit.plugin.api.udm

# Enum Class Metadata.ConfigurationItemRoot

java.lang.Object
java.lang.Enum<Metadata.ConfigurationItemRoot>
com.xebialabs.deployit.plugin.api.udm.Metadata.ConfigurationItemRoot

All Implemented Interfaces:
  `Serializable`, `Comparable<Metadata.ConfigurationItemRoot>`, `Constable`

Enclosing class:
  `Metadata`

public static enum Metadata.ConfigurationItemRoot extends Enum<Metadata.ConfigurationItemRoot>
The root in the JCR tree.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATIONS`
  `BY_ROOT_NAME`
  `CONFIGURATION`
  `ENVIRONMENTS`
  `INFRASTRUCTURE`
  `NESTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRootNodeName()`
  `static Metadata.ConfigurationItemRoot`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Metadata.ConfigurationItemRoot[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATIONS

    public static final Metadata.ConfigurationItemRoot APPLICATIONS

  - ### INFRASTRUCTURE

    public static final Metadata.ConfigurationItemRoot INFRASTRUCTURE

  - ### ENVIRONMENTS

    public static final Metadata.ConfigurationItemRoot ENVIRONMENTS

  - ### CONFIGURATION

    public static final Metadata.ConfigurationItemRoot CONFIGURATION

  - ### BY_ROOT_NAME

    public static final Metadata.ConfigurationItemRoot BY_ROOT_NAME

  - ### NESTED

    public static final Metadata.ConfigurationItemRoot NESTED

- ## Method Details

  - ### values

    public static Metadata.ConfigurationItemRoot[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Metadata.ConfigurationItemRoot valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getRootNodeName

    public String getRootNodeName()